var brightModeClassName = "bright"

function toggleBrightMode() {
    if (isBrightMode()) {
        setBrightMode(false)
    } else {
        setBrightMode(true)
    }
}

function isBrightMode() {
    var isBrightMode =  $("#container").hasClass(brightModeClassName);
//    console.log("isBrightMode = " + isBrightMode);
    return isBrightMode;
}

function setBrightMode(open) {
    if (open) {
        $("#container").addClass(brightModeClassName);
    } else {
        $("#container").removeClass(brightModeClassName);
    }
    DayNightJsBridge.onBrightModeChanged(open);
}

function setDayNightTheme(dayNight, forceOpenOrCloseBright) {
//    console.log("setDayNightTheme(" + dayNight + ")")
    var autoOpenBright = false;
    if ("night" == dayNight) {
        document.documentElement.setAttribute('data-theme', 'night');
        if (forceOpenOrCloseBright != null) {
            setBrightMode(forceOpenOrCloseBright);
//            console.log("setBrightMode(forceOpenOrCloseBright = " + forceOpenOrCloseBright + ")")
        } else {
            var hasTableContent = $("table").length > 0;
            var hasColorAttr = $("[style*='color']").length > 0;
            autoOpenBright = hasTableContent || hasColorAttr;
            setBrightMode(autoOpenBright);
//            console.log("setBrightMode(autoOpenBright = " + autoOpenBright + ")")
        }
    } else {
        document.documentElement.setAttribute('data-theme', 'day');
    }
}