function checkContentScale() {
//    console.log('start resize');
    if (resetScale()) {
        return;
    }
    // android 9 上 $("#content").width() 在开始时拿不到真正宽度，定时 10ms 重复取值
    var rescaleTask = setInterval(function () {
        if (resetScale()) {
            clearInterval(rescaleTask);
        }
    }, 10);
}

function resetScale() {
    var container = $("#container");
    var content = $("#content");

    var viewportWidth = $("#content").width();
//    console.log('viewportWidth = ' + viewportWidth);
    if (viewportWidth <= 0) {
        return false;
    }

    var scrollWidth = $("#content")[0].scrollWidth;
//    console.log('scrollWidth = ' + scrollWidth);

    var scale = viewportWidth / scrollWidth;
    scale = 0.1 > scale ? 0.1 : scale;
    scale = 1 < scale ? 1 : scale;

    var scrollHeight = $("#content")[0].scrollHeight;

    var viewportHeight = scrollHeight * scale;
    content.css("transform-origin", "0 0 0");
    content.css("transform", "scale3d(" + scale + "," + scale + ",1)");
    container.height(viewportHeight);
//    console.log("scroll height: " + viewportHeight);
    return true;
}